Bug 193314 - [NEW PORT] www/py-seafdav: Addons to py-wsgidav
Summary: [NEW PORT] www/py-seafdav: Addons to py-wsgidav
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: John Marino
URL:
Keywords:
Depends on: 193313
Blocks:
  Show dependency treegraph
 
Reported: 2014-09-04 15:54 UTC by Jingfeng Yan
Modified: 2014-11-06 20:14 UTC (History)
3 users (show)

See Also:


Attachments
new port shar file (2.14 KB, application/x-shar)
2014-09-04 15:54 UTC, Jingfeng Yan
no flags Details
test port log (11.51 KB, text/plain)
2014-09-04 15:55 UTC, Jingfeng Yan
no flags Details
portlint -AC output (68 bytes, text/plain)
2014-09-05 20:44 UTC, Jingfeng Yan
no flags Details
diff to new shar (1.44 KB, patch)
2014-09-05 20:46 UTC, Jingfeng Yan
no flags Details | Diff
new shar file (2.25 KB, application/x-shar)
2014-09-05 20:52 UTC, Jingfeng Yan
no flags Details
2nd updated shar file (2.99 KB, patch)
2014-09-06 09:48 UTC, Jingfeng Yan
no flags Details | Diff
2nd updated shar file (3.05 KB, application/x-shar)
2014-09-06 09:50 UTC, Jingfeng Yan
no flags Details
3rd shar file (782.69 KB, application/x-shar)
2014-09-06 16:08 UTC, Jingfeng Yan
no flags Details
diff from first shar to updated shar (2.98 KB, patch)
2014-09-06 16:09 UTC, Jingfeng Yan
no flags Details | Diff
shar file target commit (3.04 KB, text/plain)
2014-09-12 02:04 UTC, Jingfeng Yan
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jingfeng Yan 2014-09-04 15:54:33 UTC
Created attachment 146798 [details]
new port shar file

DAV implementation.
Comment 1 Jingfeng Yan 2014-09-04 15:55:35 UTC
Created attachment 146799 [details]
test port log
Comment 2 Kubilay Kocak freebsd_committer freebsd_triage 2014-09-05 15:01:52 UTC
Thanks for your submission Jingfen.

Review items:

* Leftover commented out items
* DISTNAME unnecessary
* LICENSE and LICENSE_FILE need values
* Use ${PYTHON_PKGNAMEPREFIX}<name> for python RUN_DEPENDS checks unless they are 
  for binaries.
* GH_PROJECT defaults to ${PORTNAME} already
* The github repository has git tags, use them over direct to commit hashes when 
  they're available
* pkg-descr only contains a hash value, please create a proper pkg-descr

Additionally,

Run your port through portlint -AC, and attach portlint output for this and future submissions.
Comment 3 Jingfeng Yan 2014-09-05 20:44:51 UTC
Created attachment 146883 [details]
portlint -AC output
Comment 4 Jingfeng Yan 2014-09-05 20:46:34 UTC
Created attachment 146884 [details]
diff to new shar
Comment 5 Jingfeng Yan 2014-09-05 20:52:34 UTC
Created attachment 146885 [details]
new shar file
Comment 6 Jingfeng Yan 2014-09-05 21:05:08 UTC
(In reply to Kubilay Kocak from comment #2)
> Thanks for your submission Jingfen.
> 
> Review items:
> 
> * Leftover commented out items
> * DISTNAME unnecessary
Removed.

> * LICENSE and LICENSE_FILE need values
License provided. 

> * Use ${PYTHON_PKGNAMEPREFIX}<name> for python RUN_DEPENDS checks unless
> they are 
>   for binaries.
> * GH_PROJECT defaults to ${PORTNAME} already
Fixed.

> * The github repository has git tags, use them over direct to commit hashes
> when 
>   they're available
By using tag name, the WRKDIR try to use tag, but by default it is use commit id.

> * pkg-descr only contains a hash value, please create a proper pkg-descr
Fixed.

> 
> Additionally,
> 
> Run your port through portlint -AC, and attach portlint output for this and
> future submissions.

provided.
Comment 7 Kubilay Kocak freebsd_committer freebsd_triage 2014-09-06 04:39:55 UTC
Thank you for those updates Jingfeng.

Set both GH_TAGNAME and GH_COMMIT, together they derive the correct DISTFILES, and WRKSRC/
Comment 8 Jingfeng Yan 2014-09-06 09:48:51 UTC
Created attachment 146910 [details]
2nd updated shar file

correct alignment and compile py code.
Comment 9 Jingfeng Yan 2014-09-06 09:50:18 UTC
Created attachment 146911 [details]
2nd updated shar file
Comment 10 Jingfeng Yan 2014-09-06 16:08:03 UTC
Created attachment 146941 [details]
3rd shar file
Comment 11 Jingfeng Yan 2014-09-06 16:09:04 UTC
Created attachment 146942 [details]
diff from first shar to updated shar
Comment 12 Jingfeng Yan 2014-09-12 02:04:29 UTC
Created attachment 147233 [details]
shar file target commit

clean out
Comment 13 Jingfeng Yan 2014-09-12 02:05:57 UTC
By contact the project leader, the this is comp of Seahub, which should follow Seahub license.  So, it should be APACHE2.0
Comment 14 John Marino freebsd_committer 2014-11-06 10:26:19 UTC
1) combine do-install and post-install.  There is no reason to have two targets.

2) X	@cd ${WRKSRC}/wsgidav/addons/seafile && 	${COPYTREE_SHARE} . ${STAGEDIR}${PYTHON_SITELIBDIR}/wsgidav/addons/seafile
Remove "@" and surround with "()"

3) 
X@dirrmtry %%PYTHON_SITELIBDIR%%/wsgidav/addons/seafile

remove that line 


I'm moving this back to triage so it doesn't get lost again.
Comment 15 John Marino freebsd_committer 2014-11-06 19:39:31 UTC
I didn't notice this was assigned to python, but it's been stuck two months so I'll take it over.
Comment 16 John Marino freebsd_committer 2014-11-06 19:56:24 UTC
I'll try to fix this myself right now.
Comment 17 commit-hook freebsd_committer 2014-11-06 20:12:19 UTC
A commit references this bug:

Author: marino
Date: Thu Nov  6 20:11:20 UTC 2014
New revision: 372237
URL: https://svnweb.freebsd.org/changeset/ports/372237

Log:
  Add new port www/py-seafdav

  PR:		193314
  Submitted by:	Jingfeng Yan

  This addon provides seafile implementation for Web DAV server by
  utilizing WsgiDAV interface.

Changes:
  head/www/Makefile
  head/www/py-seafdav/
  head/www/py-seafdav/Makefile
  head/www/py-seafdav/distinfo
  head/www/py-seafdav/pkg-descr
  head/www/py-seafdav/pkg-plist
Comment 18 John Marino freebsd_committer 2014-11-06 20:14:15 UTC
This makefile had a major bug: the GH_TAGNAME has $PORTVERSION in it, not $PORTNAME

The last python command looks funny to me, but it also looks intentional and it works so I left it alone. 

This port is done as well.